Bug 22235 - Make maintenance scripts use koha-sip instead of koha-*-sip
Summary: Make maintenance scripts use koha-sip instead of koha-*-sip
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 18562
Blocks: 22238
  Show dependency treegraph
 
Reported: 2019-01-30 12:29 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip (3.61 KB, patch)
2019-01-30 12:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22235: (follow-up) Make koha-remove stop SIP server if required (846 bytes, patch)
2019-01-30 12:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip (3.68 KB, patch)
2019-02-05 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22235: (follow-up) Make koha-remove stop SIP server if required (917 bytes, patch)
2019-02-05 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip (3.73 KB, patch)
2019-02-11 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22235: (follow-up) Make koha-remove stop SIP server if required (966 bytes, patch)
2019-02-11 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-01-30 12:29:07 UTC

    
Comment 1 Tomás Cohen Arazi 2019-01-30 12:46:42 UTC
Created attachment 84514 [details] [review]
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip

This patch makes all maintenance scripts use **koha-sip** instead of
the old **koha-*-sip** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the SIP-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the SIP-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and SIP-related services are running
  $ sudo koha-create --create-db test
  $ sudo koha-sip --enable test
  $ sudo koha-sip --start test
  $ sudo koha-disable test
=> SUCCESS: No errors, instance disabled, no SIP running for test
- Sign off :-D
Comment 2 Tomás Cohen Arazi 2019-01-30 12:46:47 UTC
Created attachment 84515 [details] [review]
Bug 22235: (follow-up) Make koha-remove stop SIP server if required
Comment 3 Kyle M Hall 2019-01-30 14:34:44 UTC
Getting this error at step 1:

root@48864c0cb6e1:kohadevbox$ perl misc4dev/cp_debian_files.pl
Cannnot open file No such file or directory at misc4dev/cp_debian_files.pl line 35.
Comment 4 Tomás Cohen Arazi 2019-01-30 18:13:33 UTC
(In reply to Kyle M Hall from comment #3)
> Getting this error at step 1:
> 
> root@48864c0cb6e1:kohadevbox$ perl misc4dev/cp_debian_files.pl
> Cannnot open file No such file or directory at misc4dev/cp_debian_files.pl
> line 35.

The instructions were for kohadevbox, that's why they don't work :-/

In koha-testing-docker you need to run like this:

root@b2cf8a1790c7:kohadevbox$ cd misc4dev
root@b2cf8a1790c7:misc4dev(master)$ perl cp_debian_files.pl --koha_dir /kohadevbox/koha --instance kohadev --gitify_dir /kohadevbox/gitify

Thanks for your interest!
Comment 5 Kyle M Hall 2019-02-05 15:53:11 UTC
Created attachment 84793 [details] [review]
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip

This patch makes all maintenance scripts use **koha-sip** instead of
the old **koha-*-sip** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the SIP-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the SIP-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and SIP-related services are running
  $ sudo koha-create --create-db test
  $ sudo koha-sip --enable test
  $ sudo koha-sip --start test
  $ sudo koha-disable test
=> SUCCESS: No errors, instance disabled, no SIP running for test
- Sign off :-D

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2019-02-05 15:53:36 UTC
Created attachment 84794 [details] [review]
Bug 22235: (follow-up) Make koha-remove stop SIP server if required

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Martin Renvoize 2019-02-11 08:41:46 UTC
Created attachment 84954 [details] [review]
Bug 22235: Make maintenance scripts use koha-sip instead of koha-*-sip

This patch makes all maintenance scripts use **koha-sip** instead of
the old **koha-*-sip** scripts.

To test:
- Run:
  $ perl misc4dev/cp_debian_files.pl
  $ sudo service koha-common stop
=> SUCCESS: No errors and the SIP-related sevices are stopped
  $ sudo service koha-common start
=> SUCCESS: No errors and the SIP-related services are started
  $ sudo service koha-common restart
=> SUCCESS: No erros and SIP-related services are running
  $ sudo koha-create --create-db test
  $ sudo koha-sip --enable test
  $ sudo koha-sip --start test
  $ sudo koha-disable test
=> SUCCESS: No errors, instance disabled, no SIP running for test
- Sign off :-D

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-02-11 08:41:49 UTC
Created attachment 84955 [details] [review]
Bug 22235: (follow-up) Make koha-remove stop SIP server if required

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-02-11 08:42:14 UTC
Good job, Passing QA
Comment 10 Nick Clemens 2019-02-11 18:40:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-02-12 13:09:47 UTC
Pushed to 18.11.x for 18.11.03
Comment 12 Lucas Gass 2019-02-12 22:33:01 UTC
missing 18562, wont backport to 18.05.x